Results 1 to 4 of 4

Thread: Mixing and matching ZCO versions with ZCS versions?

  1. #1
    vshah is offline Loyal Member
    Join Date
    Mar 2006
    Posts
    86
    Rep Power
    9

    Default Mixing and matching ZCO versions with ZCS versions?

    Does anyone know if there are problems with mixing ZCO versions with ZCS versions?

    I'm mainly asking about:

    ZCO 4.0.4 w/ ZCS 4.0.5
    ZCO 4.0.5 w/ ZCS 4.0.4

    and (not as important right now but will be once 4.5 GA arrives)
    ZCO 4.0.5 w/ ZCS 4.5.0 ?

    We are trying to figure out what order to upgrade server and ZCO users in, and also how fast do make the users upgrade their ZCO.

    Also, is the recommended way to upgrade the ZCO merely a reinstall on top of the existing ZCO install? or does the existing one need to be uninstalled before the new one is installed?

    Thanks

  2. #2
    sam
    sam is offline Zimbra Employee
    Join Date
    Aug 2005
    Posts
    821
    Rep Power
    11

    Default

    In general, we try to ensure that older ZCO works with newer ZCS. The idea is that you can upgrade your server first, then the desktops. Once you've upgraded your server, you should upgrade your desktops as well.

    The safest route is to keep you ZCO version in sync with your ZCS version.
    Sam Khavari

    :: :: [ Zimbra ] :: :: [ Bugzilla ] :: :: [ Product Portal ] :: :: [ Wiki ] :: :: [ Downloads ] :: :: [ . ] ::

  3. #3
    sam
    sam is offline Zimbra Employee
    Join Date
    Aug 2005
    Posts
    821
    Rep Power
    11

    Default

    When you decide to install a new ZCO, you shouldn't need to uninstall the existing version. Simply run the new MSI to upgrade.
    Sam Khavari

    :: :: [ Zimbra ] :: :: [ Bugzilla ] :: :: [ Product Portal ] :: :: [ Wiki ] :: :: [ Downloads ] :: :: [ . ] ::

  4. #4
    vshah is offline Loyal Member
    Join Date
    Mar 2006
    Posts
    86
    Rep Power
    9

    Default

    Thanks, Sam! That basically what we needed to know.
    With 4.0.5 we probably want to get our ZCO users to the new ZCO sooner because of all the bug fixes, but some of them are remote and/or on vacation and wouldn't be able to upgrade ZCO anytime soon. Luckily we are still in pilot test mode so there's only a handful of ZCO users. I'm sure the upgrades will get to be more of an issue when we are in full production. We can't wait till 4.5 comes out in mid-Jan to go into full production, but we will likely be upgrading to it soon due to the new features -- and that will require upgrading ~75 ZCO users, most of whom are remote :-)

    V

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •